Subject: bug#63257: Android port: unable to build using javac 20.0.1 on Arch Linux

From: Simon Pugnet <[email-masked]>
Date: Thu, 04 May 2023 13:23:09 +0100

Po Lu <[email-masked]> writes:

> Simon Pugnet <[email-masked]> writes:
>
>> I have been building the Android port from source regularly and 
>> after
>> a recent Arch Linux package update I am no longer able to configure
>> the build.
>>
>> The JDK package I currently have installed is: extra/jdk-openjdk
>> 20.0.1.u9-3
>
> Unfortunately, you do need support for such an option, as otherwise 
> the
> generated code will not run on API levels below 26.  I'd recommend 
> the
> OpenJDK 11.x release, which will be supported for a significant 
> amount
> of time.
>
> I will fix configure to specifically detect this situation and print 
> a
> clearer error message.

Thank you for your quick reply, and for your work on this port!

I can confirm that using OpenJDK 11.x (11.0.19 in this case) as you 
suggested works fine.

In case anybody else encounters this problem, here is what I needed to 
do in Arch Linux: -

1. Install "jdk11-openjdk"
2. Run: archlinux-java set java-11-openjdk

Kind regards,

-- 
Simon Pugnet
https://www.polaris64.net/
PGP key fingerprint: 3BF7 85DE 162C 00C8 FB4D  A6FD BA13 59A8 2C0B 
3EF9